Package org.gradle.api.tasks.scala

## Class ScalaDoc

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.api.tasks.scala.ScalaDoc

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.IConventionAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `PatternFilterable`, `org.gradle.util.Configurable<Task>`

      @CacheableTask
      public class ScalaDoc
      extends SourceTask

  Generates HTML API documentation for Scala source files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ScalaDoc()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `generate()` |
    `protected org.gradle.api.internal.project.IsolatedAntBuilder` | `getAntBuilder()` |
    `FileCollection` | `getClasspath()` | Returns the classpath to use to locate classes referenced by the documented source.
    `File` | `getDestinationDir()` | Returns the directory to generate the API documentation into.
    `FileCollection` | `getScalaClasspath()` | Returns the classpath to use to load the ScalaDoc tool.
    `ScalaDocOptions` | `getScalaDocOptions()` | Returns the ScalaDoc generation options.
    `FileTree` | `getSource()` | Returns the source for this task, after the include and exclude patterns have been applied.
    `String` | `getTitle()` | Returns the documentation title.
    `void` | `setClasspath​(FileCollection classpath)` |
    `void` | `setDestinationDir​(File destinationDir)` |
    `void` | `setScalaClasspath​(FileCollection scalaClasspath)` |
    `void` | `setScalaDocOptions​(ScalaDocOptions scalaDocOptions)` |
    `void` | `setTitle​(String title)` |

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getExcludes, getIncludes, getPatternSetFactory, include, include, include, include, setExcludes, setIncludes, setSource, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getTimeout, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalaDoc

          public ScalaDoc()

  - ### Method Detail

    - #### getAntBuilder

          @Inject
          protected org.gradle.api.internal.project.IsolatedAntBuilder getAntBuilder()

    - #### getDestinationDir

          @OutputDirectory
          public File getDestinationDir()

      Returns the directory to generate the API documentation into.

    - #### setDestinationDir

          public void setDestinationDir​(File destinationDir)

    - #### getSource

          @PathSensitive(RELATIVE)
          public FileTree getSource()

      Returns the source for this task, after the include and exclude patterns have been applied. Ignores source files which do not exist.

      The `PathSensitivity` for the sources is configured to be `PathSensitivity.ABSOLUTE`. If your sources are less strict, please change it accordingly by overriding this method in your subclass.

      Overrides:
        `getSource` in class `SourceTask`
      Returns:
        The source.

    - #### getClasspath

          @Classpath
          public FileCollection getClasspath()

      Returns the classpath to use to locate classes referenced by the documented source.

      Returns:
        The classpath.

    - #### setClasspath

          public void setClasspath​(FileCollection classpath)

    - #### getScalaClasspath

          @Classpath
          public FileCollection getScalaClasspath()

      Returns the classpath to use to load the ScalaDoc tool.

    - #### setScalaClasspath

          public void setScalaClasspath​(FileCollection scalaClasspath)

    - #### getScalaDocOptions

          public ScalaDocOptions getScalaDocOptions()

      Returns the ScalaDoc generation options.

    - #### setScalaDocOptions

          public void setScalaDocOptions​(ScalaDocOptions scalaDocOptions)

    - #### getTitle

          @Nullable
          @Optional
          @Input
          public String getTitle()

      Returns the documentation title.

    - #### setTitle

          public void setTitle​(@Nullable
                               String title)

    - #### generate

          protected void generate()